Attribute VB_Name = "PublicDeclarations"
Option Explicit

'THE DATA COMMON FOR MODULAES AND FRAMES

'VARIABLES FOR READING ATOMS
Public Natoms As Long
Public AtomNames() As String
Public Atoms() As Single
Public Vazby(1 To 100000, 1 To 2) As Integer 'matice vazeb s cisly atomu
Public NBonds As Long
'2D map properties
Public Contour(1 To 3, 100000, 1 To 2, 1 To 3) As GLfloat
Public NumberOfContourLines(1 To 3) As Long
' 3D layer properties
Public Triangles(1 To 3, 1 To 400000) As TRIANGLE ' pole trojuhelniku omezjuicich objem
Public NumberOfTriangles(1 To 3) As Long
Public Limit(1 To 3) As Single
Public LayerColor(1 To 3, 1 To 3) As Single
Public ContourColor(1 To 3, 1 To 3) As Single
'aditional voxel descriptors
Public VoxelDescription(1 To 11) As Single ' 3 x N point, 3 x begining , 3 x Step , Min, Max
Public displayListInited As GLboolean
Public InputFile$
Public ContourZHight As Integer 'high of contour map
' Control of visibility of diferent graphics
Public ContourVisible As Boolean
Public AtomVisible As Boolean
Public CellVisible As Boolean
Public PickVisible As Boolean
Public Active(1 To 3) As Boolean
Public GridType As Integer ' 1-SpiderGrid, 2 - TriangleGrid
Public DisplayMode As String
' atom coordinates and properties
Public PlaneMatrix(1 To 3, 1 To 3) As Single  ' transform matrix from frac to ELD
Public PlaneTranslation(1 To 3) As Single   ' translation matrix in fraction coord
Public Cell(1 To 6) As Single ' a b c alfa beta gama (amstr. , rad.)
Public CellEndPoints(1 To 8) As XYZ
Public PickingMode As String ' mode of picking
' information from preset files
Public LayerPresets(1 To 3, 1 To 4) As Variant ' first - layer nuber, 1-layer 1,2-layer2, 3-layer3,4-preset name

